# HA SwitchPlate HASPone

The HASPone is a DIY touchscreen controller you can mount into a [standard North American work box](https://www.nema.org/Standards/ComplimentaryDocuments/NEMA%20WD%206%20-%20Dimensions%20for%20Wiring%20Devices%20-%20Excerpt.pdf).  It connects to your home automation system over Wifi+MQTT to display useful information and to control your smart devices.  The result is an attractive and highly-customizable home controller you can build yourself!

![HA SwitchPlate Models](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Three_Model_Variations.png?raw=true)

## Demo screens

![Scene controller](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Demo_SceneController.png?raw=true) ![Status display](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Demo_Status.png?raw=true) ![Media control](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Demo_Media.png?raw=true) ![Alarm Panel](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Demo_AlarmPanel.png?raw=true) ![Slider/Dimmer Controls](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Demo_Dimmers.png?raw=true) ![HVAC Controls](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Demo_HVAC.png?raw=true) ![Light toggles](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Demo_LightToggles.png?raw=true) ![Fan controller](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASwitchPlate_Demo_FanControls.png?raw=true) ![WiFi Setup](https://github.com/HASwitchPlate/HASPone/blob/main/images/WiFi_Config_0.png?raw=true)

## [Purchase an assembled unit](https://www.etsy.com/listing/1191709235/haspone-haswitchplate-touchscreen-home)

This build requires some specialist skills and tools. [You can buy an assembled device here](https://www.etsy.com/listing/1191709235/haspone-haswitchplate-touchscreen-home) if you want to get started without picking up a soldering iron.  [Buy the PCB here](https://www.etsy.com/listing/1177721322/haspone-pcb) if you want to safely assemble your own HASPone.

## [Build your own HASPone](https://github.com/HASwitchPlate/HASPone/wiki/Building-your-own-HASPone)

[Check out the build guide in the HASPone wiki](https://github.com/HASwitchPlate/HASPone/wiki/Building-your-own-HASPone).

## [Setup HASPone for Home Assistant](https://github.com/HASwitchPlate/HASPone/wiki/Configure-your-HASPone-for-Home-Assistant)

If you're purchased or built a HASPone, [now it's time to make it talk to Home Assistant](https://github.com/HASwitchPlate/HASPone/wiki/Configure-your-HASPone-for-Home-Assistant).

Here's a quick look at the setup process:

[![HASPone first-time setup](https://github.com/HASwitchPlate/HASPone/blob/main/images/HASPone_first_time_setup_YouTube.png?raw=true)](https://youtu.be/zi784hr69QA)

## Have a question?

Come talk to us in [the HASPone discussion forum](https://github.com/HASwitchPlate/HASPone/discussions) or [chat with us on Discord](https://haswitchplate.com/discord).

## [Buy me a coffee](https://www.buymeacoffee.com/gW5rPpsKR)

[![Buy me a coffee](https://www.buymeacoffee.com/assets/img/custom_images/black_img.png)](https://www.buymeacoffee.com/gW5rPpsKR)

This project is powered by coffee.  [I might get a little weird about it at times](https://github.com/aderusha/RoastLearner), but it's not much of a stretch to suggest that coffee both powers and consumes a fair portion of my mental energy.  [Hook me up if you think HASP is cool](https://www.buymeacoffee.com/gW5rPpsKR).  Thanks!
